%define name mkinitrd
%define version 4.2.17
%define release %mkrel 54

%define use_dietlibc 0
%ifarch %{ix86} x86_64 ppc ppc64
%define use_dietlibc 1
%endif

Name: %{name}
Summary: Creates an initial ramdisk image for preloading modules
Version: %{version}
Release: %{release}
License: GPL
URL: http://www.redhat.com/
Group: System/Kernel and hardware
Source: ftp://ftp.redhat.com/mkinitrd-%{version}.tar.bz2
Source1: mkinitrd-sysconfig
Patch0: mkinitrd-%{version}-mdk.patch
Patch1: mkinitrd-4.2.17-label.patch
Patch2:	mkinitrd-4.2.17-cdrom.patch
Patch3: mkinitrd-4.2.17-migrate-mptscsih.patch
Patch4: mkinitrd-4.2.17-use-both-ahci-ata_piix.patch
Patch5: mkinitrd-4.2.17-initramfs.patch
Patch6: mkinitrd-4.2.17-resume.patch
Patch7: mkinitrd-4.2.17-closedir.patch
Patch8: mkinitrd-4.2.17-dmraid.patch
Patch9: mkinitrd-4.2.17-evms.patch
Patch10: mkinitrd-4.2.17-scsidriver.patch
Patch11: mkinitrd-4.2.17-initramfs-dsdt.patch
Patch12: mkinitrd-4.2.17-ide.patch
Patch13: mkinitrd-4.2.17-atkbd.patch
Patch14: mkinitrd-4.2.17-suspend2.patch
Patch15: mkinitrd-4.2.17-resumemd.patch
Patch16: mkinitrd-4.2.17-usb-1394.patch
Patch17: mkinitrd-4.2.17-new_raid.patch
Patch18: mkinitrd-4.2.17-switchroot.patch
Patch19: mkinitrd-4.2.17-fstabauto.patch
Patch22: mkinitrd-4.2.17-uuid.patch
Patch23: mkinitrd-4.2.17-relatime.patch
Patch24: mkinitrd-4.2.17-scsi_wait_scan.patch
Patch25: mkinitrd-4.2.17-omit_ide.patch
Patch26: mkinitrd-4.2.17-rtc.patch
Patch27: mkinitrd-4.2.17-modinfo_kver.patch
Patch28: mkinitrd-4.2.17-ide_pata.patch
Patch29: mkinitrd-4.2.17-modfilename.patch
Patch30: mkinitrd-4.2.17-tuxonice.patch
Requires: mktemp >= 1.5-9mdk e2fsprogs /bin/sh coreutils grep mount gzip tar findutils >= 4.1.7-3mdk gawk cpio
Requires: module-init-tools >= 3.3-pre11
BuildRequires: perl-base
BuildRequires: volume_id-devel
%if %{use_dietlibc}
BuildRequires: dietlibc-devel >= 0.30-2mdk
%else
BuildRequires: glibc-static-devel
%endif
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
#mkinitrd can work without those, but lesser versions are broken
#Conflicts: udev <= 0.51-1mdk
Conflicts: lvm1 < 1.0.8-2mdk
Conflicts: lvm2 < 2.01.09
Conflicts: mdadm < 2.5.3-3mdv
Conflicts: bootloader-utils < 1.8-1mdk, bootsplash < 3.1.12

%description
Mkinitrd creates filesystem images for use as initial ramdisk (initrd)
images.  These ramdisk images are often used to preload the block
device modules (SCSI or RAID) needed to access the root filesystem.

In other words, generic kernels can be built without drivers for any
SCSI adapters which load the SCSI driver as a module.  Since the
kernel needs to read those modules, but in this case it isn't able to
address the SCSI adapter, an initial ramdisk is used.  The initial
ramdisk is loaded by the operating system loader (normally LILO) and
is available to the kernel as soon as the ramdisk is loaded.  The
ramdisk image loads the proper SCSI adapter and allows the kernel to
mount the root filesystem.  The mkinitrd program creates such a
ramdisk using information found in the /etc/modules.conf file.

%prep
%setup -q
%patch0 -p1 -b .mdk
%patch1 -p1 -b .label
%patch2 -p1 -b .cdrom
%patch3 -p1 -b .migrate-mptscsih
%patch4 -p1 -b .use-both-ahci-ata_piix
%patch5 -p1 -b .initramfs
%patch6 -p1 -b .resume
%patch7 -p1 -b .closedir
%patch8 -p1 -b .dmraid
%patch9 -p1 -b .evms
%patch10 -p1 -b .scsidriver
%patch11 -p1 -b .initramfs-dsdt
%patch12 -p1 -b .ide
%patch13 -p1 -b .atkbd
%patch14 -p1 -b .resume2
%patch15 -p1 -b .resumemd
%patch16 -p1 -b .usb-1394
%patch17 -p1 -b .new_raid
%patch18 -p1 -b .switchroot
%patch19 -p1 -b .fstab-auto
%patch22 -p1 -b .uuid
%patch23 -p1 -b .relatime
%patch24 -p1 -b .scsi_wait_scan
%patch25 -p1 -b .omit_ide
%patch26 -p1 -b .rtc
%patch27 -p1 -b .modinfo_kver
%patch28 -p1 -b .ide_pata
%patch29 -p1 -b .modfilename
%patch30 -p1 -b .tuxonice

%build
%if %{use_dietlibc}
make DIET=1 DIETLIBC_LIB=%{_prefix}/lib/dietlibc/lib-%{_arch}
%else
make
%endif

%install
rm -rf $RPM_BUILD_ROOT
make BUILDROOT=$RPM_BUILD_ROOT mandir=%{_mandir} install
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/mkinitrd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%config(noreplace) %{_sysconfdir}/sysconfig/mkinitrd
/sbin/*
%{_mandir}/*/*




%changelog
* Sat Sep 22 2007 Olivier Blin <oblin@mandriva.com> 4.2.17-54mdv2008.0
+ Revision: 92215
- fix inclusion of usb controller modules when usb_storage is used (#33259)

* Sat Sep 22 2007 Luca Berra <bluca@mandriva.org> 4.2.17-53mdv2008.0
+ Revision: 92203
- fix location of 64bit shared libraries (#33849)
- add requires for recent modules-init-tool (modinfo -k)

* Thu Sep 20 2007 Thomas Backlund <tmb@mandriva.org> 4.2.17-52mdv2008.0
+ Revision: 91534
- readd tuxonice support without removing old suspend2 support
- revert tuxonice support

* Thu Sep 20 2007 Thomas Backlund <tmb@mandriva.org> 4.2.17-51mdv2008.0
+ Revision: 91264
- fix suspend2 support due to upstream renaming to tuxonice

* Wed Sep 19 2007 Olivier Blin <oblin@mandriva.com> 4.2.17-50mdv2008.0
+ Revision: 90912
- fix uuid display in nash

* Fri Sep 14 2007 Olivier Blin <oblin@mandriva.com> 4.2.17-49mdv2008.0
+ Revision: 85521
- fix UUID detection when device has no label

* Fri Sep 07 2007 Olivier Blin <oblin@mandriva.com> 4.2.17-48mdv2008.0
+ Revision: 81723
- do not make scsi_wait_scan module mandatory (i.e. fix titipo to allow rebuilding initrd with 2.6.17)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - workaround --debug-busybox by defaulting to ext2 when used since for some
      unknown reason, busybox doesn't start from ramfs

* Wed Aug 29 2007 Olivier Blin <oblin@mandriva.com> 4.2.17-47mdv2008.0
+ Revision: 73536
- hide some errors
- fix findmodule() when called recursively

* Wed Aug 29 2007 Olivier Blin <oblin@mandriva.com> 4.2.17-46mdv2008.0
+ Revision: 73360
- fix looking for module deps when the module name contains underscores

* Tue Aug 28 2007 Olivier Blin <oblin@mandriva.com> 4.2.17-45mdv2008.0
+ Revision: 72295
- fix module copy broken by latest patch

* Mon Aug 27 2007 Olivier Blin <oblin@mandriva.com> 4.2.17-44mdv2008.0
+ Revision: 71971
- use modinfo to find module filename (should fix loading modules with underscores in modname and dashes in filename, such as usb_storage)
- add pata drivers in initrd if listed in scsi_hostadapter (when mkinitrd is run from a kernel with legacy IDE modules)
- pass kernel version when running modinfo to find the module if it does not exist for running kernel

* Fri Aug 24 2007 Olivier Blin <oblin@mandriva.com> 4.2.17-43mdv2008.0
+ Revision: 70871
- drop bundled volume_id source code, use libvolume_id static dietlibc archive instead
- drop strnlen patch, link with dietlibc libcompat instead
- revert usage of label_raw introduced in commit 49761, this breaks iso9660 label detection

* Fri Aug 24 2007 Olivier Blin <oblin@mandriva.com> 4.2.17-42mdv2008.0
+ Revision: 70843
- create /dev/rtc when /dev is mounted as tmpfs as well

* Mon Aug 20 2007 Olivier Blin <oblin@mandriva.com> 4.2.17-41mdv2008.0
+ Revision: 68047
- pre-create /dev/rtc in initrd (hwclock is started before udev in rc.sysinit, #30401)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill file require on perl-base

* Wed Aug 15 2007 Andrey Borzenkov <arvidjaar@mandriva.org> 4.2.17-40mdv2008.0
+ Revision: 63740
- patch25: --omit-ide-modules; useful for migrating from IDE kernel

* Mon Aug 13 2007 Thierry Vignaud <tvignaud@mandriva.com> 4.2.17-39mdv2008.0
+ Revision: 62598
- load scsi_wait_scan driver for SCSI devices (see rh #220470)
- kill support for kernel > 2.6.x

* Sat Aug 11 2007 Andrey Borzenkov <arvidjaar@mandriva.org> 4.2.17-38mdv2008.0
+ Revision: 61998
- support relatime mount option (requires updated dietlibc to build)

* Sun Aug 05 2007 Luca Berra <bluca@mandriva.org> 4.2.17-37mdv2008.0
+ Revision: 59138
- fix sysconfig file placement

* Sat Aug 04 2007 Andrey Borzenkov <arvidjaar@mandriva.org> 4.2.17-36mdv2008.0
+ Revision: 58943
- update patch6: fix extraction of resume= argument
- remove patch20 (getKernelArg), it was wrong

* Sun Jul 08 2007 Andrey Borzenkov <arvidjaar@mandriva.org> 4.2.17-35mdv2008.0
+ Revision: 49766
- bump release
- patch22: new libvolume_id returns textual representation of UUID; use it.
  It probably should be just merged in label patch.
- update patch2: trivial fix for new libvolume_id.
- update patch1: use libvolume_id from udev 113. This enables mkinitrd correctly
  recognize different suspend signatures.
- patch21: add strnlen(), required by new libvolume_id.
- patch20: getKernelArg() is supposed to return single kernel argument, not
  rest of command line starting from the requested arg.
- updated patch0: smartmknod() always failed for existing device nodes. Use
  st_rdev instead of st_dev when comparing to device files.

* Sat Jun 16 2007 Luca Berra <bluca@mandriva.org> 4.2.17-34mdv2008.0
+ Revision: 40381
- use sys interface for suspend2 (#31322)
- provide a default /etc/sysconfig/mkinitrd (#30872)
- remove insmod-DIET program and requirement for insmod.static, not needed on kernel-2.6 (#30673)
- probe devices to find filesystem if we have auto in fstab (#30873)
- give a more friendly error message when fstab is broken (#31206)
- dmraid: support for group sets, e.g. isw. (fix #30982)

* Wed May 16 2007 Olivier Blin <oblin@mandriva.com> 4.2.17-33mdv2008.0
+ Revision: 27319
- fix switchroot when used without --movedev (#30441)

* Mon Apr 23 2007 Olivier Blin <oblin@mandriva.com> 4.2.17-32mdv2008.0
+ Revision: 17600
- drop make nash run udev when called as hotplug (udev is not in the initrd anymore)
- do not create /dev/.udevdb anymore (deprecated path)

* Sat Apr 21 2007 Luca Berra <bluca@mandriva.org> 4.2.17-31mdv2008.0
+ Revision: 16541
- fix --force_evms on x86_64 (#29904)
- support md raid10 (#28171) and combined raid456 module
- probe for i8042 with modular ps2 keyboards (#27030)
- support LABEL= and UUID= mounts in /etc/fstab (#28184)
- fix infinite loop when parsing /proc/scsi/scsi (#27221)
- fix detection of udev since udevstart was removed (#30358)


* Fri Mar 23 2007 Olivier Blin <oblin@mandriva.com> 4.2.17-30mdv2007.1
+ Revision: 148683
- check if resume device exists before resuming (to avoid prompts from resume binary)

* Fri Mar 23 2007 Olivier Blin <oblin@mandriva.com> 4.2.17-29mdv2007.1
+ Revision: 148236
- do not conflict with suspend-scripts to ease upgrade, pm-utils will take care of the proper package ordering

* Sun Mar 11 2007 Olivier Blin <oblin@mandriva.com> 4.2.17-28mdv2007.1
+ Revision: 141319
- allow to resume if device is specified in suspend.conf instead of command line

* Thu Jan 18 2007 Olivier Blin <oblin@mandriva.com> 4.2.17-27mdv2007.1
+ Revision: 110304
- fork when running userspace resume, so that the boot can go on if not resuming
- userspace resume support

  + Luca Berra <bluca@mandriva.org>
    - 25mdv
    - * From Anssi Hannula (#26393)
      	- Fix adding usb/1394 host drivers in certain situations
    - fix copying of libgcc_s.so.1 when using EVMS (#26492)
    - fix copying of libgcc_s.so.1 when using EVMS

* Fri Sep 15 2006 Luca Berra <bluca@mandriva.org> 4.2.17-24mdv2007.0
+ Revision: 61508
- support resume when booting from md
- support for raid10 fakeraids
  support for lvm and md over dmraid
- resume before resume2
- use patch from rapsys for suspend2 support
- support swsuspend2
- add support for modular ps2 keyboard
- fix dsdt_file parameter name change
- uncompressed patches
  workaround for ide controllers defined as scsi_hostadapter
- changelog is now stored in SVN
- fix case where DSDT file is a symlink

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway
    - dummy test commit

  + Luiz Fernando Capitulino <lcapitulino@mandriva.com>
    - Initial mkinitrd import

* Wed May 10 2006 Luca Berra <bluca@vodka.it> 4.2.17-19mdk
- remove dmraid conflict as it will block upgrades
- make ide-controller entries in modprobe.conf optional

* Sat Apr 22 2006 Luca Berra <bluca@vodka.it> 4.2.17-18mdk
- fallback nicely when probing of scsi adapter fails
- use ignorelocking when invoking dmraid, so it works on readonly initrdfs
- conflicts with dmraid built with dietlibc on x86_64 due to ContraPolice problem

* Tue Apr 11 2006 <bluca@vodka.it> 4.2.17-17mdk
- allow using --initrdfs=xxxx again
- fix --force-evms flag

* Tue Apr 11 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 4.2.17-16mdk
- re-enable initramfs as default
- conflicts: bootsplash < 3.1.12
- handle dsdt override support in initramfs (rtp)

* Mon Apr 10 2006 Luca Berra <bluca@vodka.it> 4.2.17-15mdk
- default to initramfs only when using kernel 2.6 (but hold the patch
  since i cannot boot initramfs on my test machine)
- fix missing closedir prevenitng umount of /initrd/sys (#16699)
- fix another silly dmraid command line option bug
- fix evms detection and add --force-evms flag (#12467)
- fixes verif_scsidriver when mkinitrd knows more than modprobe.conf (#20877)

* Wed Apr 05 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 4.2.17-14mdk
- default to initramfs
- handle migrations from mptscsih to mptspi and mptfc (#21648)
- handle ahci/ata_piix through new migrate_scsidriver() infrastructure
- handle automatic resume (detected through resume= option parsed from cmdline)

* Tue Feb 28 2006 Olivier Blin <oblin@mandriva.com> 4.2.17-13mdk
- Patch2: don't fail when multiple CD-Rom drives are detected (#21304)

* Thu Dec 22 2005 Thierry Vignaud <tvignaud@mandriva.com> 4.2.17-12mdk
- patch 0: fix EVMS support (obvious bug)

* Fri Dec 16 2005 Olivier Blin <oblin@mandriva.com> 4.2.17-11mdk
- check all scsi drivers, not only the first one (#20057, Luca Berra)

* Thu Dec 15 2005 Olivier Blin <oblin@mandriva.com> 4.2.17-10mdk
- Patch1 (updates):
  o fix weird bug that makes nash segfault when some read() fail
    because of a typing issue (it actually appears to be fixed in
    latest libvolume_id, but nash uses an old one)
  o fix buffer overflow that may blank device names found by label
- Patch2: add label support for CD-Rom devices

* Thu Nov 17 2005 Pixel <pixel@mandriva.com> 4.2.17-9mdk
- have both ata_piix and ahci (so that you can still boot after changing in the BIOS)

* Wed Oct 05 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 4.2.17-8mdk
- use dietlibc on ppc64 too

* Mon Oct 03 2005 Erwan Velu <erwan@seanodes.com> 4.2.17-7mdk
- Adding a better label support using vol_id

* Fri Sep 16 2005 Pixel <pixel@mandriva.com> 4.2.17-6mdk
- fix nash's mkdevices to create /dev/cciss/c0d0 for /sys/block/cciss!c0d0

* Thu Sep 15 2005 Pixel <pixel@mandriva.com> 4.2.17-5mdk
- verif scsidriver() returns scsi drivers belonging to scsi_hostadapter
  (=> fixes missing BusLogic for vmware)
  (=> wildcatch fix for things like mptscsih which says it is mptbase)

* Thu Aug 04 2005 Luca Berra <bluca@vodka.it> 4.2.17-4mdk
- fix silly bug when using lvm and intird is a readonly filesystem (#16936)

* Wed Jul 06 2005 Luca Berra <bluca@vodka.it> 4.2.17-3mdk 
- create fb0 device if we are using graphics boot and udev

* Tue Jul 05 2005 Luca Berra <bluca@vodka.it> 4.2.17-2mdk 
- create /dev/tty0

* Fri Jul 01 2005 Luca Berra <bluca@vodka.it> 4.2.17-1mdk 
- sync with rh 4.2.17
  don't use udev/udevstart do it internally
  remove files from initramfs before executing the new init.
  reworked "console=" handling
- man page fixes (#16439)
- really load all device mapper modules
- support loopback root over fatx on xbox (Stew)
- load sd_mod when using dmraid (Pixel)
- hack to workaround stacked md devices
- revert the "allow changing root device from command line"

* Wed May 04 2005 Luca Berra <bluca@vodka.it> 4.2.12-1mdk 
- merge rh 4.2.12
  - work correctly with noclobber set
  - add dm-mirror, dm-zero, dm-snapshot modules when using lvm2
  - allow changing root device from command line when using lvm/dmraid
  - better support for initramfs
  - require cpio for initramfs
  - allow mounting root by uuid
  - nash: expand environment variables on command line
  - nash: Don't copy "console=" arguments from /proc/cmdline to init
- use an even bigger udev tmpdir
- lvm1/2: activate only the root vg
- lvm2: use --ignorelockingfailure for vgmknodes
- lvm2: use a better lvm.conf
- rework the boot scsi controller detection for 2.6 kernels using sysfs
- move the iteraid hack so it doesn't interfere with other drivers
- add an option to spawn a busybox for debugging initrd
- nash: fix a bug causing mount to ignore the --ro parameter if rw was specified in fstab
- remove the remountdev hack, use switchroot --movedev

* Sun Mar 20 2005 Luca Berra <bluca@vodka.it> 4.1.12-9mdk 
- fold p1 (iteraid) into p0
- fix boot from usb drive (#14144)
- support dmraid as a root device (lvm over dmraid is not yet supported)
- preliminary support for evms as a root device (needs testing)

* Mon Mar 07 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.1.12-8mdk
- patch 0: some system needs quite large /dev (#14092)

* Mon Feb 28 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.1.12-7mdk
- patch 0: make all boot messages use the same case

* Mon Feb 14 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.1.12-6mdk
- do not increase basesystem size (Stefan van der Eijk)

* Fri Feb 11 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.1.12-5mdk
- patch 0: support udev-051

* Fri Jan 28 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.1.12-4mdk
- patch 0: use a larger tmpfs for /dev like done in udev package (udev-048+)

* Thu Jan 20 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.1.12-3mdk
- patch 1: it821x relaced both it8212 and iteraid

* Thu Nov 04 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.1.12-2mdk
- manually fix IT8212 -> iteraid

* Mon Sep 27 2004 Luca Berra <bluca@vodka.it> 4.1.12-1mdk 
- merge bits from rh 4.1.12
- workaround case where you have more than one different scsi controllers,
  and root fs is not on the first.
- detect non-scsi disk drivers (DAC960, cpqarray, cciss, ...)
- manpage fixes

* Mon Sep 20 2004 Luca Berra <bluca@vodka.it> 4.1.9-4mdk 
- copy udev.conf again, or udev will not work
- also copy permission file so devices will have correct mode
- merge p1 into p0

* Thu Sep 16 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 4.1.9-3mdk
- patch1: load ieee1394 controller driver(s) and use 5s delay for sbp2

* Thu Sep 09 2004 Frederic Lepied <flepied@mandrakesoft.com> 4.1.9-2mdk
- don't copy udev.conf to avoid having devices in 600 mode by default

* Tue Sep 07 2004 Luca Berra <bluca@vodka.it> 4.1.9-1mdk 
- big merge from redhat's 4.1.9
  initramfs support (NOT TESTED)
  use new mount magic instead of pivot_root (NOT TESTED)
  nash update
- udev support, without breaking devfs
- use klibc version of udev tools if available
- remove handledevfs function (kernel does it anyway)
- manpage update
- load usbhid module if we have an usb keyboard and no ps2 keyboards

* Sat Sep 04 2004 Frederic Lepied <flepied@mandrakesoft.com> 3.5.24-4mdk
- remove modprobe loop not needed anymore

* Fri Sep 03 2004 Frederic Lepied <flepied@mandrakesoft.com> 3.5.24-3mdk
- fixed typo in scsi driver function
- added a fallback for scsi drivers that aren't populating /proc/scsi
correctly
- modprobe loop

* Sun Aug 29 2004 Luca Berra <bluca@vodka.it> 3.5.24-2mdk 
- rework driver detection
  look deeper for stacked md arrays
  chose only needed scsi controllers
  remove most usb-storage related kludges
- use stat instead of ls to find major numbers
- check for modular initrdfs and choke
- remove the --omit-lvm-modules option
- other small cleanups

* Sun Aug 29 2004 Luca Berra <bluca@vodka.it> 3.5.24-1mdk 
- merge bits from redhat 3.5.24
  fix usb-storage detection with 2.6
  add support for RAID6
  quiet mode for nash
- internal insmod command, use external insmod only for 2.4 kernels
- remove mkinitrd-helper, keep only insmod-busybox
- rework erwan patch, use character classes instead of bare tabs in regexp.
- use of dietlibc is chosen by the spec file.
- update manpages with code changes
- other minor fixes

* Wed Aug 25 2004 Erwan Velu <erwan@mandrakesoft.com> 3.5.18-19mdk
- Patch 5 : A wrong ident in moduledep() brakes the modules 
dependencies on the 2.4 kernel series when you own more 
than 3 dependencies ! It sounds silly but that's real !

* Fri Aug 20 2004 Olivier Blin <blino@mandrake.org> 3.5.18-18mdk
- add INITRDDSDT321DSDT321 after the dsdt file for 2.6 kernels

* Sun Aug 15 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 3.5.18-17mdk
- fix patch4 for 2.4 usb hcd module names in /etc/modprobe.conf

* Sat Aug 14 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 3.5.18-16mdk
- patch 4: load usb interface drivers for usb-storage

* Sat Jul 31 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.5.18-15mdk
- fix broken boot-from-USB that pixel gratuitously broken in -14mdk (#10471)
- patch 3: rediff since pixel inserted patch prior w/o bothering checking other
  patches

* Tue Jun 29 2004 Pixel <pixel@mandrakesoft.com> 3.5.18-14mdk
- mkinitrd doesn't add splash by itself anymore
- conflicts with old bootloader-utils and bootsplash

* Wed Jun 09 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.5.18-13mdk
- patch 2: load scsi_mod too for 2.4.x kernels

* Wed Jun 09 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.5.18-12mdk
- patch 2: add support for boot from USB for 2.4.x kernels

* Sat May 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.5.18-11mdk
- merge patch 5 into patch 0 (simplify patch)

* Sat May 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.5.18-10mdk
- patch 0: do not gratuitously drop root=LABEL=foobar support
- patch 5:fix root=LABEL=foobar support
- require a fixed dietlibc in order to have working root=LABEL=foobar

* Sat Apr 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.5.18-9mdk
- drop patch 4 (merged into simplified patch 0)

* Tue Apr 06 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.5.18-8mdk
- patch 4: enable to boot with root on usb

* Sun Apr 04 2004 Luca Berra <bluca@vodka.it> 3.5.18-7mdk
- Fix for broken sprintf in dietlibc
- Fixed nplanel's changelog

* Tue Mar 23 2004 Frederic Lepied <flepied@mandrakesoft.com> 3.5.18-6mdk
- make the source declaration rpmbuildupdate compatible
- added --force-usb option
- source /etc/sysconfig/mkinitrd to be able to set permanent options

